import {
  select,
  csv,
  scaleLinear,
  scaleTime,
  extent,
  axisLeft,
  axisBottom,
  max,
  line,
  curveBasis
} from 'd3';


const margin = { top: 60, right: 40, bottom: 100, left: 105 };
const width = 960;
const height = 500;


var chart1 = select("body")
    .append("svg")
        .attr("width", width + margin.left + margin.right)
        .attr("height", height + margin.top + margin.bottom)
    .append("g")
        .attr("transform", "translate(" + margin.left + "," + margin.top + ")");



csv('https://vizhub.com/kelvin127/datasets/earthquakes.csv')
  .then(data => {
    data.forEach(d => {
      d.year = new Date(d.year);
      d['8.0+'] = +d['8.0+'];
      d['7_7.9'] = +d['7_7.9'];
      d['6_6.9'] = +d['6_6.9'];
      d['5_5.9'] = +d['5_5.9'];
      d['Estimated Deaths'] = +d['Estimated Deaths'];
    });
  
  console.log(data);
  
  const xValue = d => d.year;
  const xAxisLabel = 'Year';
  
  const yValue1 = d => d['5_5.9'];
  const yValue2 = d => d['6_6.9'];
  const yValue3 = d => d['7_7.9'];
  const yValue4 = d => d['8.0+'];
  
  const xScale = scaleTime()
    .domain(extent(data, xValue))
    .range([0, width]);
  
  const yScale = scaleLinear()
    .domain([0, max(data,yValue1)])
    .range([height, 0])
    .nice();
  
  
  const lineGenerator1 = line()
    .x(d => xScale(xValue(d)))
    .y(d => yScale(yValue1(d)))
    .curve(curveBasis)
  	;
  
  chart1.append('path')
    .attr('class', 'line1')
    .attr('d', lineGenerator1(data));
  
  var xAxis = axisBottom(xScale)
  	//.tickSize(-innerHeight)
  	.tickPadding(15);
  
  chart1.append("g")
    .attr("class", 'axis-label')
    .attr("transform", "translate(0," + height + ")")
  
});


